Subject: Re: bug#74287: [PATCH] Rework history Isearch for Eshell

From: Juri Linkov <[email-masked]>
Date: Mon, 09 Dec 2024 20:23:59 +0200

>> Is there a way we could change this so that users who use 'setopt' (or
>> even 'setq'?) instead of the Customize package can enable this
>> feature?
>
> Indeed, it only works with 'M-x customize' (and friends). I guess we can
> instead save the original value to another variable and restore from it.
>
> Juri, since you wrote that for 'comint.el' in commit 71e458505f3, what
> do you think? Thanks!

I confirm the same problem in comint.  The current solution was described
in bug#30187 as the least bad.  Fortunately, no one complained because
it works with saved customizations.  But still we need to fix it.

So do you propose to add an internal variable that duplicates the user option?